using System.ComponentModel.DataAnnotations;

namespace Knots.Models;

public class User
{
      public int Id { get; set; }
      [Required, MaxLength(50)] public string? Username { get; set; }
      [MaxLength(200)] public string? Description { get; set; }
      [Required, Length(12, 50)] public string? Password { get; set; }
      [Required, MaxLength(70)] public string? Email { get; set; }
      [Required, Length(10, 10)] public string? Tel { get; set; }
      public string? ProfilePicture { get; set; }
      public List<Message> Messages { get; set; } = [];
      public List<UserDiscussion> UserDiscussions { get; set; } = []; 
      public int? RoleId { get; set; }
      public Role? Role { get; set; }
}